# $Revision: 1.34 $, $Date: 2011/12/04 15:27:45 $
Summary:	A tool for converting XML files to various formats
Summary(pl.UTF-8):	Narzędzie do konwersji plików XML do różnych formatów
Name:		xmlto
Version:	0.0.25
Release:	1
License:	GPL v2
Group:		Applications/System
Source0:	https://fedorahosted.org/releases/x/m/xmlto/%{name}-%{version}.tar.bz2
# Source0-md5:	6b6267b1470f8571fe5f63a128970364
URL:		http://cyberelk.net/tim/software/xmlto/
BuildRequires:	autoconf
BuildRequires:	automake >= 1.6
BuildRequires:	docbook-dtd42-xml
BuildRequires:	docbook-style-xsl >= 1.56.0
BuildRequires:	libpaper
BuildRequires:	libxslt-progs
BuildRequires:	util-linux
Requires:	docbook-dtd42-xml
Requires:	docbook-style-xsl >= 1.56.0
Requires:	libxslt-progs
Requires:	mktemp >= 1.5-19
Requires:	xmltex
# for getopt
Requires:	util-linux
# fop is required for --with-fop. It is quite rare usecase. Moreover fop is
# have dependency (written in Java, requires several Java libs, takes long time
# to execute %post), so we don't want user to force to install it.
Suggests:	fop
# for paperconf program
Suggests:	libpaper
# this is the default; links/lynx/text-www-browser is also possible
Suggests:	w3m
Obsoletes:	refentry2man
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a package for converting XML files to various formats using
XSL stylesheets.

%description -l pl.UTF-8
Jest to pakiet do konwersji plików w formacie XML do innych formatów
przy użyciu styli XSL.

%prep
%setup -q

%build
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	FOP=/usr/bin/fop \
	PAPER_CONF=/usr/bin/paperconf \
	PDFXMLTEX=/usr/bin/pdfxmltex \
	XMLTEX=/usr/bin/xmltex
%{__make}

cat > refentry2man <<'EOF'
#!/bin/sh
XMLTO_TMPFILE=$(mktemp -t xmltoXXXXXX)
XMLTO_TMPDIR=$(mktemp -d -t xmltodirXXXXXX)
cat - > $XMLTO_TMPFILE
xmlto -o $XMLTO_TMPDIR man $XMLTO_TMPFILE >/dev/null
cat $XMLTO_TMPDIR/*
rm -f $XMLTO_TMPFILE
rm -rf $XMLTO_TMPDIR
EOF

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install refentry2man $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/refentry2man
%attr(755,root,root) %{_bindir}/xmlif
%attr(755,root,root) %{_bindir}/xmlto
%{_datadir}/%{name}
%{_mandir}/man1/xmlif.1*
%{_mandir}/man1/xmlto.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xmlto.spec,v $
Revision 1.34  2011/12/04 15:27:45  qboosh
- updated to 0.0.25

Revision 1.33  2011/07/15 18:06:17  qboosh
- updated to 0.0.24

Revision 1.32  2010/12/01 07:22:07  qboosh
- updated to 0.0.23
- removed obsolete no_which patch
- pass some paths for deterministic build

Revision 1.31  2010/09/27 12:20:31  pawelz
- S: fop
- rel 5

Revision 1.30  2009/11/19 22:08:38  zbyniu
- rel 4

Revision 1.29  2009/10/29 18:58:10  charles
- added -no_which.patch
- BR/S libpaper

Revision 1.28  2009/07/14 13:37:38  arekm
- rel 3

Revision 1.27  2009/07/14 12:58:45  arekm
- rel 2

Revision 1.26  2009/05/29 21:07:33  amateja
- updated to 0.0.22

Revision 1.25  2008/08/19 20:07:23  qboosh
- updated to 0.0.21
- updated URLs

Revision 1.24  2008/05/25 19:14:17  zbyniu
- up to 0.0.20

Revision 1.23  2007-12-25 23:24:43  glen
- rel 7

Revision 1.22  2007-12-25 23:24:27  glen
- fix mktemp (thx qboosh); rel 6

Revision 1.21  2007-12-25 22:53:47  glen
- rel 5

Revision 1.20  2007-12-25 22:53:36  glen
- whoops; rel 4

Revision 1.19  2007-12-25 22:52:02  glen
- rel 3

Revision 1.18  2007-12-25 22:51:51  glen
- current mktemp already respects $TMPDIR
- avoid race in /tmp
- rel 2

Revision 1.17  2007-12-25 22:45:48  glen
- heredoc that doesn't get expanded in shell

Revision 1.16  2007-12-15 23:41:03  qboosh
- updated to 0.0.19

Revision 1.15  2007-02-12 22:09:23  glen
- tabs in preamble

Revision 1.14  2007/02/12 01:06:39  baggins
- converted to UTF-8

Revision 1.13  2005/06/16 16:17:14  charles
- R: libxslt-progs
- rel. 6, STBR

Revision 1.12  2005/05/09 18:06:18  adamg
- release 5 for Th

Revision 1.11  2005/04/23 20:55:26  arekm
- rel 4

Revision 1.10  2005/03/24 20:10:15  saq
- R: util-linux

Revision 1.9  2005/02/02 19:55:53  hawk
- release 3 (2 for RA)

Revision 1.8  2004/10/20 21:58:07  ankry
- emulate refentry2man

Revision 1.7  2004/02/05 19:20:19  eothane
- updated to 0.0.18

Revision 1.6  2003/12/09 10:39:43  trojan
- updated to 0.0.17

Revision 1.5  2003/11/19 12:45:55  trojan
- updated to 0.0.16

Revision 1.4  2003/10/20 11:48:42  qboosh
- cosmetics

Revision 1.3  2003/10/17 12:12:58  tiwek
- added mising BR:

Revision 1.2  2003/10/16 20:36:05  krzak
- fixed Source0

Revision 1.1  2003/10/16 20:09:11  krzak
- initial
